xref: /freebsd/contrib/lutok/api-docs/html/search/search.css (revision 132f818ddbf457ee67d502cd89b5a18e0a34713d)
1*132f818dSEnji Cooper/*---------------- Search Box positioning */
2*132f818dSEnji Cooper
3*132f818dSEnji Cooper#main-menu > li:last-child {
4*132f818dSEnji Cooper    /* This <li> object is the parent of the search bar */
5*132f818dSEnji Cooper    display: flex;
6*132f818dSEnji Cooper    justify-content: center;
7*132f818dSEnji Cooper    align-items: center;
8*132f818dSEnji Cooper    height: 36px;
9*132f818dSEnji Cooper    margin-right: 1em;
10*132f818dSEnji Cooper}
11*132f818dSEnji Cooper
12*132f818dSEnji Cooper/*---------------- Search box styling */
13*132f818dSEnji Cooper
14*132f818dSEnji Cooper.SRPage * {
15*132f818dSEnji Cooper    font-weight: normal;
16*132f818dSEnji Cooper    line-height: normal;
17*132f818dSEnji Cooper}
18*132f818dSEnji Cooper
19*132f818dSEnji Cooperdark-mode-toggle {
20*132f818dSEnji Cooper    margin-left: 5px;
21*132f818dSEnji Cooper    display: flex;
22*132f818dSEnji Cooper    float: right;
23*132f818dSEnji Cooper}
24*132f818dSEnji Cooper
25*132f818dSEnji Cooper#MSearchBox {
26*132f818dSEnji Cooper    display: inline-block;
27*132f818dSEnji Cooper    white-space : nowrap;
28*132f818dSEnji Cooper    background: var(--search-background-color);
29*132f818dSEnji Cooper    border-radius: 0.65em;
30*132f818dSEnji Cooper    box-shadow: var(--search-box-shadow);
31*132f818dSEnji Cooper    z-index: 102;
32*132f818dSEnji Cooper}
33*132f818dSEnji Cooper
34*132f818dSEnji Cooper#MSearchBox .left {
35*132f818dSEnji Cooper    display: inline-block;
36*132f818dSEnji Cooper    vertical-align: middle;
37*132f818dSEnji Cooper    height: 1.4em;
38*132f818dSEnji Cooper}
39*132f818dSEnji Cooper
40*132f818dSEnji Cooper#MSearchSelect {
41*132f818dSEnji Cooper    display: inline-block;
42*132f818dSEnji Cooper    vertical-align: middle;
43*132f818dSEnji Cooper    width: 20px;
44*132f818dSEnji Cooper    height: 19px;
45*132f818dSEnji Cooper    background-image: var(--search-magnification-select-image);
46*132f818dSEnji Cooper    margin: 0 0 0 0.3em;
47*132f818dSEnji Cooper    padding: 0;
48*132f818dSEnji Cooper}
49*132f818dSEnji Cooper
50*132f818dSEnji Cooper#MSearchSelectExt {
51*132f818dSEnji Cooper    display: inline-block;
52*132f818dSEnji Cooper    vertical-align: middle;
53*132f818dSEnji Cooper    width: 10px;
54*132f818dSEnji Cooper    height: 19px;
55*132f818dSEnji Cooper    background-image: var(--search-magnification-image);
56*132f818dSEnji Cooper    margin: 0 0 0 0.5em;
57*132f818dSEnji Cooper    padding: 0;
58*132f818dSEnji Cooper}
59*132f818dSEnji Cooper
60*132f818dSEnji Cooper
61*132f818dSEnji Cooper#MSearchField {
62*132f818dSEnji Cooper    display: inline-block;
63*132f818dSEnji Cooper    vertical-align: middle;
64*132f818dSEnji Cooper    width: 7.5em;
65*132f818dSEnji Cooper    height: 19px;
66*132f818dSEnji Cooper    margin: 0 0.15em;
67*132f818dSEnji Cooper    padding: 0;
68*132f818dSEnji Cooper    line-height: 1em;
69*132f818dSEnji Cooper    border:none;
70*132f818dSEnji Cooper    color: var(--search-foreground-color);
71*132f818dSEnji Cooper    outline: none;
72*132f818dSEnji Cooper    font-family: var(--font-family-search);
73*132f818dSEnji Cooper    -webkit-border-radius: 0px;
74*132f818dSEnji Cooper    border-radius: 0px;
75*132f818dSEnji Cooper    background: none;
76*132f818dSEnji Cooper}
77*132f818dSEnji Cooper
78*132f818dSEnji Cooper@media(hover: none) {
79*132f818dSEnji Cooper    /* to avoid zooming on iOS */
80*132f818dSEnji Cooper    #MSearchField {
81*132f818dSEnji Cooper        font-size: 16px;
82*132f818dSEnji Cooper    }
83*132f818dSEnji Cooper}
84*132f818dSEnji Cooper
85*132f818dSEnji Cooper#MSearchBox .right {
86*132f818dSEnji Cooper    display: inline-block;
87*132f818dSEnji Cooper    vertical-align: middle;
88*132f818dSEnji Cooper    width: 1.4em;
89*132f818dSEnji Cooper    height: 1.4em;
90*132f818dSEnji Cooper}
91*132f818dSEnji Cooper
92*132f818dSEnji Cooper#MSearchClose {
93*132f818dSEnji Cooper    display: none;
94*132f818dSEnji Cooper    font-size: inherit;
95*132f818dSEnji Cooper    background : none;
96*132f818dSEnji Cooper    border: none;
97*132f818dSEnji Cooper    margin: 0;
98*132f818dSEnji Cooper    padding: 0;
99*132f818dSEnji Cooper    outline: none;
100*132f818dSEnji Cooper
101*132f818dSEnji Cooper}
102*132f818dSEnji Cooper
103*132f818dSEnji Cooper#MSearchCloseImg {
104*132f818dSEnji Cooper    padding: 0.3em;
105*132f818dSEnji Cooper    margin: 0;
106*132f818dSEnji Cooper}
107*132f818dSEnji Cooper
108*132f818dSEnji Cooper.MSearchBoxActive #MSearchField {
109*132f818dSEnji Cooper    color: var(--search-active-color);
110*132f818dSEnji Cooper}
111*132f818dSEnji Cooper
112*132f818dSEnji Cooper
113*132f818dSEnji Cooper
114*132f818dSEnji Cooper/*---------------- Search filter selection */
115*132f818dSEnji Cooper
116*132f818dSEnji Cooper#MSearchSelectWindow {
117*132f818dSEnji Cooper    display: none;
118*132f818dSEnji Cooper    position: absolute;
119*132f818dSEnji Cooper    left: 0; top: 0;
120*132f818dSEnji Cooper    border: 1px solid var(--search-filter-border-color);
121*132f818dSEnji Cooper    background-color: var(--search-filter-background-color);
122*132f818dSEnji Cooper    z-index: 10001;
123*132f818dSEnji Cooper    padding-top: 4px;
124*132f818dSEnji Cooper    padding-bottom: 4px;
125*132f818dSEnji Cooper    -moz-border-radius: 4px;
126*132f818dSEnji Cooper    -webkit-border-top-left-radius: 4px;
127*132f818dSEnji Cooper    -webkit-border-top-right-radius: 4px;
128*132f818dSEnji Cooper    -webkit-border-bottom-left-radius: 4px;
129*132f818dSEnji Cooper    -webkit-border-bottom-right-radius: 4px;
130*132f818dSEnji Cooper    -webkit-box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.15);
131*132f818dSEnji Cooper}
132*132f818dSEnji Cooper
133*132f818dSEnji Cooper.SelectItem {
134*132f818dSEnji Cooper    font: 8pt var(--font-family-search);
135*132f818dSEnji Cooper    padding-left:  2px;
136*132f818dSEnji Cooper    padding-right: 12px;
137*132f818dSEnji Cooper    border: 0px;
138*132f818dSEnji Cooper}
139*132f818dSEnji Cooper
140*132f818dSEnji Cooperspan.SelectionMark {
141*132f818dSEnji Cooper    margin-right: 4px;
142*132f818dSEnji Cooper    font-family: var(--font-family-monospace);
143*132f818dSEnji Cooper    outline-style: none;
144*132f818dSEnji Cooper    text-decoration: none;
145*132f818dSEnji Cooper}
146*132f818dSEnji Cooper
147*132f818dSEnji Coopera.SelectItem {
148*132f818dSEnji Cooper    display: block;
149*132f818dSEnji Cooper    outline-style: none;
150*132f818dSEnji Cooper    color: var(--search-filter-foreground-color);
151*132f818dSEnji Cooper    text-decoration: none;
152*132f818dSEnji Cooper    padding-left:   6px;
153*132f818dSEnji Cooper    padding-right: 12px;
154*132f818dSEnji Cooper}
155*132f818dSEnji Cooper
156*132f818dSEnji Coopera.SelectItem:focus,
157*132f818dSEnji Coopera.SelectItem:active {
158*132f818dSEnji Cooper    color: var(--search-filter-foreground-color);
159*132f818dSEnji Cooper    outline-style: none;
160*132f818dSEnji Cooper    text-decoration: none;
161*132f818dSEnji Cooper}
162*132f818dSEnji Cooper
163*132f818dSEnji Coopera.SelectItem:hover {
164*132f818dSEnji Cooper    color: var(--search-filter-highlight-text-color);
165*132f818dSEnji Cooper    background-color: var(--search-filter-highlight-bg-color);
166*132f818dSEnji Cooper    outline-style: none;
167*132f818dSEnji Cooper    text-decoration: none;
168*132f818dSEnji Cooper    cursor: pointer;
169*132f818dSEnji Cooper    display: block;
170*132f818dSEnji Cooper}
171*132f818dSEnji Cooper
172*132f818dSEnji Cooper/*---------------- Search results window */
173*132f818dSEnji Cooper
174*132f818dSEnji Cooperiframe#MSearchResults {
175*132f818dSEnji Cooper    /*width: 60ex;*/
176*132f818dSEnji Cooper    height: 15em;
177*132f818dSEnji Cooper}
178*132f818dSEnji Cooper
179*132f818dSEnji Cooper#MSearchResultsWindow {
180*132f818dSEnji Cooper    display: none;
181*132f818dSEnji Cooper    position: absolute;
182*132f818dSEnji Cooper    left: 0; top: 0;
183*132f818dSEnji Cooper    border: 1px solid var(--search-results-border-color);
184*132f818dSEnji Cooper    background-color: var(--search-results-background-color);
185*132f818dSEnji Cooper    z-index:10000;
186*132f818dSEnji Cooper    width: 300px;
187*132f818dSEnji Cooper    height: 400px;
188*132f818dSEnji Cooper    overflow: auto;
189*132f818dSEnji Cooper}
190*132f818dSEnji Cooper
191*132f818dSEnji Cooper/* ----------------------------------- */
192*132f818dSEnji Cooper
193*132f818dSEnji Cooper
194*132f818dSEnji Cooper#SRIndex {
195*132f818dSEnji Cooper    clear:both;
196*132f818dSEnji Cooper}
197*132f818dSEnji Cooper
198*132f818dSEnji Cooper.SREntry {
199*132f818dSEnji Cooper    font-size: 10pt;
200*132f818dSEnji Cooper    padding-left: 1ex;
201*132f818dSEnji Cooper}
202*132f818dSEnji Cooper
203*132f818dSEnji Cooper.SRPage .SREntry {
204*132f818dSEnji Cooper    font-size: 8pt;
205*132f818dSEnji Cooper    padding: 1px 5px;
206*132f818dSEnji Cooper}
207*132f818dSEnji Cooper
208*132f818dSEnji Cooperdiv.SRPage {
209*132f818dSEnji Cooper    margin: 5px 2px;
210*132f818dSEnji Cooper    background-color: var(--search-results-background-color);
211*132f818dSEnji Cooper}
212*132f818dSEnji Cooper
213*132f818dSEnji Cooper.SRChildren {
214*132f818dSEnji Cooper    padding-left: 3ex; padding-bottom: .5em
215*132f818dSEnji Cooper}
216*132f818dSEnji Cooper
217*132f818dSEnji Cooper.SRPage .SRChildren {
218*132f818dSEnji Cooper    display: none;
219*132f818dSEnji Cooper}
220*132f818dSEnji Cooper
221*132f818dSEnji Cooper.SRSymbol {
222*132f818dSEnji Cooper    font-weight: bold;
223*132f818dSEnji Cooper    color: var(--search-results-foreground-color);
224*132f818dSEnji Cooper    font-family: var(--font-family-search);
225*132f818dSEnji Cooper    text-decoration: none;
226*132f818dSEnji Cooper    outline: none;
227*132f818dSEnji Cooper}
228*132f818dSEnji Cooper
229*132f818dSEnji Coopera.SRScope {
230*132f818dSEnji Cooper    display: block;
231*132f818dSEnji Cooper    color: var(--search-results-foreground-color);
232*132f818dSEnji Cooper    font-family: var(--font-family-search);
233*132f818dSEnji Cooper    font-size: 8pt;
234*132f818dSEnji Cooper    text-decoration: none;
235*132f818dSEnji Cooper    outline: none;
236*132f818dSEnji Cooper}
237*132f818dSEnji Cooper
238*132f818dSEnji Coopera.SRSymbol:focus, a.SRSymbol:active,
239*132f818dSEnji Coopera.SRScope:focus, a.SRScope:active {
240*132f818dSEnji Cooper    text-decoration: underline;
241*132f818dSEnji Cooper}
242*132f818dSEnji Cooper
243*132f818dSEnji Cooperspan.SRScope {
244*132f818dSEnji Cooper    padding-left: 4px;
245*132f818dSEnji Cooper    font-family: var(--font-family-search);
246*132f818dSEnji Cooper}
247*132f818dSEnji Cooper
248*132f818dSEnji Cooper.SRPage .SRStatus {
249*132f818dSEnji Cooper    padding: 2px 5px;
250*132f818dSEnji Cooper    font-size: 8pt;
251*132f818dSEnji Cooper    font-style: italic;
252*132f818dSEnji Cooper    font-family: var(--font-family-search);
253*132f818dSEnji Cooper}
254*132f818dSEnji Cooper
255*132f818dSEnji Cooper.SRResult {
256*132f818dSEnji Cooper    display: none;
257*132f818dSEnji Cooper}
258*132f818dSEnji Cooper
259*132f818dSEnji Cooperdiv.searchresults {
260*132f818dSEnji Cooper    margin-left: 10px;
261*132f818dSEnji Cooper    margin-right: 10px;
262*132f818dSEnji Cooper}
263*132f818dSEnji Cooper
264*132f818dSEnji Cooper/*---------------- External search page results */
265*132f818dSEnji Cooper
266*132f818dSEnji Cooper.pages b {
267*132f818dSEnji Cooper   color: white;
268*132f818dSEnji Cooper   padding: 5px 5px 3px 5px;
269*132f818dSEnji Cooper   background-image: var(--nav-gradient-active-image-parent);
270*132f818dSEnji Cooper   background-repeat: repeat-x;
271*132f818dSEnji Cooper   text-shadow: 0 1px 1px #000000;
272*132f818dSEnji Cooper}
273*132f818dSEnji Cooper
274*132f818dSEnji Cooper.pages {
275*132f818dSEnji Cooper    line-height: 17px;
276*132f818dSEnji Cooper    margin-left: 4px;
277*132f818dSEnji Cooper    text-decoration: none;
278*132f818dSEnji Cooper}
279*132f818dSEnji Cooper
280*132f818dSEnji Cooper.hl {
281*132f818dSEnji Cooper    font-weight: bold;
282*132f818dSEnji Cooper}
283*132f818dSEnji Cooper
284*132f818dSEnji Cooper#searchresults {
285*132f818dSEnji Cooper    margin-bottom: 20px;
286*132f818dSEnji Cooper}
287*132f818dSEnji Cooper
288*132f818dSEnji Cooper.searchpages {
289*132f818dSEnji Cooper    margin-top: 10px;
290*132f818dSEnji Cooper}
291*132f818dSEnji Cooper
292